<?php

namespace App\Service;

use Exception;
use mysqli;

class MysqliConnection extends mysqli
{
    public function __construct(DatabaseCredentials $credentials)
    {
        parent::__construct($credentials->hostname, $credentials->user, $credentials->password);
        if ($this->connect_error) {
            throw new Exception("Connection failed: " . $this->connect_error);
        }
    }
}